{
  "condition": "minecraft:any_of",
  "terms": [
    {
      "condition": "minecraft:entity_properties",
      "entity": "this",
      "predicate": {
        "nbt": "{Item:{components:{\"minecraft:custom_data\":{boldberry:tag}}}}"
      }
    },
    {
      "condition": "minecraft:entity_properties",
      "entity": "this",
      "predicate": {
        "nbt": "{Item:{id:\"minecraft:golden_apple\"}}"
      }
    },
    {
      "condition": "minecraft:entity_properties",
      "entity": "this",
      "predicate": {
        "nbt": "{Item:{id:\"minecraft:beetroot\"}}"
      }
    },
    {
      "condition": "minecraft:entity_properties",
      "entity": "this",
      "predicate": {
        "nbt": "{Item:{id:\"minecraft:glow_berries\"}}"
      }
    },
    {
      "condition": "minecraft:entity_properties",
      "entity": "this",
      "predicate": {
        "nbt": "{Item:{components:{\"minecraft:custom_data\":{goldberry:tag}}}}"
      }
    },
    {
      "condition": "minecraft:entity_properties",
      "entity": "this",
      "predicate": {
        "nbt": "{Item:{components:{\"minecraft:custom_data\":{coldberry:tag}}}}"
      }
    },
    {
      "condition": "minecraft:entity_properties",
      "entity": "this",
      "predicate": {
        "nbt": "{Item:{components:{\"minecraft:custom_data\":{honeyberry:tag}}}}"
      }
    }
  ]
}